if ARGV[0] == "2"
  require_relative "impl_2"
  RESULT = 2286
else
  require_relative "impl"
  RESULT = 8
end


INPUT = <<~IN
Game 1: 3 blue, 4 red; 1 red, 2 green, 6 blue; 2 green
Game 2: 1 blue, 2 green; 3 green, 4 blue, 1 red; 1 green, 1 blue
Game 3: 8 green, 6 blue, 20 red; 5 blue, 4 red, 13 green; 5 green, 1 red
Game 4: 1 green, 3 red, 6 blue; 3 green, 6 red; 3 green, 15 blue, 14 red
Game 5: 6 red, 1 blue, 3 green; 2 blue, 1 red, 2 green
IN

def test_example
  parsed = parse(INPUT)
  result = calculate(parsed)

  if result == RESULT
    puts "Test successful. Now run with real input"
    puts "ruby day_2/run.rb #{ARGV[0]}"
  else
    puts "Test failed"
    puts "expected \"#{RESULT}\" got \"#{result}\""
  end
end

test_example
