if ARGV[0] == "2"
  require_relative "impl_2"
  RESULT = 30
else
  require_relative "impl"
  RESULT = 13
end


INPUT = <<~IN
Card 1: 41 48 83 86 17 | 83 86  6 31 17  9 48 53
Card 2: 13 32 20 16 61 | 61 30 68 82 17 32 24 19
Card 3:  1 21 53 59 44 | 69 82 63 72 16 21 14  1
Card 4: 41 92 73 84 69 | 59 84 76 51 58  5 54 83
Card 5: 87 83 26 28 32 | 88 30 70 12 93 22 82 36
Card 6: 31 18 13 56 72 | 74 77 10 23 35 67 36 11
IN

def test_example
  parsed = parse(INPUT)
  result = calculate(parsed)

  if result == RESULT
    puts "Test successful. Now run with real input"
    puts "ruby day_4/run.rb #{ARGV[0]}"
  else
    puts "Test failed"
    puts "expected \"#{RESULT}\" got \"#{result}\""
  end
end

test_example
